Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class MerchantRecipe

    java.lang.Object
      net.minecraft.src.MerchantRecipe

    public class MerchantRecipe

extends Object

Constructor Summary
`MerchantRecipe(ItemStack par1ItemStack, Item par2Item)`
`MerchantRecipe(ItemStack par1ItemStack, ItemStack par2ItemStack)`
`MerchantRecipe(ItemStack par1ItemStack, ItemStack par2ItemStack, ItemStack par3ItemStack)`
`MerchantRecipe(NBTTagCompound par1NBTTagCompound)`

Method Summary
`void` | `func_82783_a(int par1)`
`boolean` | `func_82784_g()`
`void` | `func_82785_h()`
`ItemStack` | `getItemToBuy()` Gets the itemToBuy.
`ItemStack` | `getItemToSell()` Gets itemToSell.
`ItemStack` | `getSecondItemToBuy()` Gets secondItemToBuy.
`boolean` | `hasSameIDsAs(MerchantRecipe par1MerchantRecipe)` checks if both the first and second ItemToBuy IDs are the same
`boolean` | `hasSameItemsAs(MerchantRecipe par1MerchantRecipe)` checks first and second ItemToBuy ID's and count.
`boolean` | `hasSecondItemToBuy()` Gets if Villager has secondItemToBuy.
`void` | `incrementToolUses()`
`void` | `readFromTags(NBTTagCompound par1NBTTagCompound)`
`NBTTagCompound` | `writeToTags()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MerchantRecipe

    public MerchantRecipe(NBTTagCompound par1NBTTagCompound)

### MerchantRecipe

    public MerchantRecipe(ItemStack par1ItemStack,
                          ItemStack par2ItemStack,
                          ItemStack par3ItemStack)

### MerchantRecipe

    public MerchantRecipe(ItemStack par1ItemStack,
                          ItemStack par2ItemStack)

### MerchantRecipe

    public MerchantRecipe(ItemStack par1ItemStack,
                          Item par2Item)

Method Detail

### getItemToBuy

    public ItemStack getItemToBuy()

  Gets the itemToBuy.

### getSecondItemToBuy

    public ItemStack getSecondItemToBuy()

  Gets secondItemToBuy.

### hasSecondItemToBuy

    public boolean hasSecondItemToBuy()

  Gets if Villager has secondItemToBuy.

### getItemToSell

    public ItemStack getItemToSell()

  Gets itemToSell.

### hasSameIDsAs

    public boolean hasSameIDsAs(MerchantRecipe par1MerchantRecipe)

  checks if both the first and second ItemToBuy IDs are the same

### hasSameItemsAs

    public boolean hasSameItemsAs(MerchantRecipe par1MerchantRecipe)

  checks first and second ItemToBuy ID's and count. Calls hasSameIDs

### incrementToolUses

    public void incrementToolUses()

### func_82783_a

    public void func_82783_a(int par1)

### func_82784_g

    public boolean func_82784_g()

### func_82785_h

    public void func_82785_h()

### readFromTags

    public void readFromTags(NBTTagCompound par1NBTTagCompound)

### writeToTags

    public NBTTagCompound writeToTags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD